> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> List the API keys of the workspace, newest first. The key values are never returned.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/api-keys.yaml GET /api_keys
openapi: 3.0.3
info:
  title: NeetoForm API Keys APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: API Keys
    description: APIs to list and revoke the API keys of the workspace.
paths:
  /api_keys:
    get:
      tags:
        - API Keys
      summary: List API keys
      description: >-
        List the API keys of the workspace, newest first. The key values are
        never returned.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: query
          name: search
          description: Only return keys whose label matches this text.
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_key_list_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. Defaults to 1 when
        omitted.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted.
      required: false
      schema:
        type: integer
  schemas:
    api_key_list_response:
      allOf:
        - type: object
          properties:
            api_keys:
              type: array
              items:
                $ref: '#/components/schemas/api_key'
        - $ref: '#/components/schemas/paginated_response'
    api_key:
      type: object
      properties:
        id:
          type: string
          example: 1c9e4a7b-5d2f-4b8a-9c3e-7f6a1b2d3e4f
        label:
          type: string
          example: CRM import
        notes:
          type: string
          nullable: true
          example: null
        expires_at:
          type: string
          format: date-time
          nullable: true
          example: '2030-01-01T00:00:00.000Z'
        created_at:
          $ref: '#/components/schemas/date_time_field'
        is_expired:
          type: boolean
          example: false
    paginated_response:
      type: object
      properties:
        pagination:
          type: object
          properties:
            total_records:
              type: integer
            total_pages:
              type: integer
            current_page_number:
              type: integer
            page_size:
              type: integer
    date_time_field:
      type: string
      format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.